Download it now!
Bug 67572 - Functions with *_ADD don't work correct on xslx export
Summary: Functions with *_ADD don't work correct on xslx export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.2.0 target:4.1.5
Keywords: bibisected, regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-31 10:05 UTC by Björn Michaelsen
Modified: 2015-12-17 07:18 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
bibisect log (1.64 KB, application/octet-stream)
2013-08-06 19:37 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2013-07-31 10:05:30 UTC
When using some functions with *_ADD within the name, the table don't work correctly when saving in different formats. This concerns:
- CUMIPMT_ADD
- CUMPRINC_ADD
- EFFECT_ADD
- GCD_ADD
- ISEVEN_ADD
- ISODD_ADD
- LCM_ADD
- NOMINAL_ADD

Not concerned are:
- CONVERT_ADD
- DURATION_ADD
- WEEKNUM_ADD

When saving as XLSX and opening again, functions without _ADD are converted to subtractions.

E.g.: Type into A1 "=GCD(24;18)" and saving the spreadsheet as XLSX.

Expected behavior: When opening A1 contains =GCD(24;18).
Shown behavior: When opening A1 contains =(24-18).

This is known to work on LibreOffice 4.0.4, so a regression.

This issue has been split our of bug 67536.
Comment 1 Björn Michaelsen 2013-07-31 10:09:49 UTC
Confirmed as per bug 67536.
Needs a bibisect. Regression between 4.1.0.4 and 4.0.4.2 as of now.

Suggesting as a 4.1 MAB: Regression -- loss of data.
Comment 2 Noel Power 2013-08-02 12:49:48 UTC
I'll try to take a look at this
Comment 4 Jorendc 2013-08-06 19:37:37 UTC
Created attachment 83732 [details]
bibisect log
Comment 5 Eike Rathke 2013-08-21 16:51:37 UTC
Maybe best that I take this over, also bug 67536.
Comment 6 Commit Notification 2013-11-02 20:27:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da7c6092a644dc22f90fb8eef0c4f0df06ec204a

resolved fdo#67572 export add-in equivalents as internal to .xlsx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2013-11-02 20:35:40 UTC
Pending review for 4-1 at https://gerrit.libreoffice.org/6530
Comment 8 Commit Notification 2013-12-01 00:41:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80994001d563ffd51f008eae4eb88c6eb2b7d38b&h=libreoffice-4-1

resolved fdo#67572 export add-in equivalents as internal to .xlsx


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 07:18:07 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]